# Bounding Box Generation for Bevy

[![CI](https://github.com/aevyrie/bevy_mod_bounding/workflows/CI/badge.svg?branch=master)](https://github.com/aevyrie/bevy_mod_bounding/actions?query=workflow%3A%22CI%22+branch%3Amaster)
[![crates.io](https://img.shields.io/crates/v/bevy_mod_bounding)](https://crates.io/crates/bevy_mod_bounding)
[![docs.rs](https://docs.rs/bevy_mod_bounding/badge.svg)](https://docs.rs/bevy_mod_bounding)
[![Bevy tracking](https://img.shields.io/badge/Bevy%20tracking-main-lightblue)](https://github.com/bevyengine/bevy/blob/main/docs/plugins_guidelines.md#main-branch-tracking)

Unofficial plugin for generating bounding volumes.

![demo](https://user-images.githubusercontent.com/2632925/114147530-a4785800-98cd-11eb-9395-7a0522e117a2.gif)

## Status

| Status | Bounding Volume |
|:-:|----------------------------|
| ✅ | Bounding Sphere            |
| ✅ | Axis Aligned Bounding Box  |
| ✅ | Oriented Bounding Box      |

## Example

Run the demo with:

```shell
cargo run --features ex --example demo
```

## Bevy Version Support

I intend to track the `main` branch of Bevy. PRs supporting this are welcome! 

|bevy|bevy_mod_bounding|
|---|---|
|0.5|0.1|

# License

This project is licensed under the [MIT license](https://github.com/aevyrie/bevy_mod_bounding/blob/master/LICENSE).

## Contribution

Unless you explicitly state otherwise, any contribution intentionally submitted for inclusion in bevy_mod_bounding by you, shall be licensed as MIT, without any additional terms or conditions.
